Loading...
Searching...
No Matches
Viewport Class Reference

`#include <pcl/outofcore/visualization/viewport.h>`

## Public Member Functions

| Viewport (vtkSmartPointer< vtkRenderWindow > window, double xmin=0.0, double ymin=0.0, double xmax=1.0, double ymax=1.0)
vtkSmartPointer< vtkRenderer > | getRenderer () const
void | setCamera (Camera *camera)

## Detailed Description

Definition at line 19 of file viewport.h.

## Constructor & Destructor Documentation

## Viewport()

Viewport::Viewport | ( | vtkSmartPointer< vtkRenderWindow > | window,
|  | double | xmin = 0.0,
|  | double | ymin = 0.0,
|  | double | xmax = 1.0,
|  | double | ymax = 1.0 )

## Member Function Documentation

## getRenderer()

vtkSmartPointer< vtkRenderer > Viewport::getRenderer | ( |  | ) | const

inline

Definition at line 31 of file viewport.h.

## setCamera()

void Viewport::setCamera | ( | Camera * | camera | ) |

inline

Definition at line 37 of file viewport.h.

References Camera::getCamera(), and Object::getName().

The documentation for this class was generated from the following file:

- pcl/outofcore/visualization/viewport.h